Bug 44432 - Entitlements view doesn't save changes made in designer nor loads data from plist
Summary: Entitlements view doesn't save changes made in designer nor loads data from p...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Mac OS
: High major
Target Milestone: 4.2.1 (C8SR1)
Assignee: Emanuel
URL:
Depends on:
Blocks:
 
Reported: 2016-09-16 18:44 UTC by Oleg Demchenko
Modified: 2016-10-17 05:40 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Oleg Demchenko 2016-09-16 18:44:44 UTC
Steps to reproduce:
1) Open Keychain[1] sample in VS2015
2) Open Entitlement.plist with designer
3) Edit file(select checkboxes, enter something in Keychain Access group ID etc.)

Actual:
Changes made by the user are not saved to the Entitlement.plist.
Changes added manually in a text editor are not displayed in the Entitlement.plist.

Expected:
Changes made by the user should be saved to the Entitlement.plist and properly displayed after editing the file in text editor.
Comment 1 Oleg Demchenko 2016-09-16 18:46:06 UTC
@joe we probably can move it to C9 if you have plans to refactor *.plist designer.
Comment 2 xamarin-release-manager 2016-10-14 21:16:14 UTC
Fixed in version 4.3.0.78 (master)

Author: Jose Gallardo
Commit: b38b998e30dfc1f8007c3c9c838181d4172a965a (xamarin/XamarinVS)
Comment 3 xamarin-release-manager 2016-10-14 21:16:14 UTC
Fixed in version 4.2.1.8 (cycle8)

Author: Jose Gallardo
Commit: 645896e5644d4b13e31097484923cf7a6aa2d257 (xamarin/XamarinVS)

Note You need to log in before you can comment on or make changes to this bug.